Subject: Ticket Assigned - Article Feedback - I paid for my order by Cash on Delivery. Can I return the products and get a cash refund?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 20 Oct 2021 10:30:27 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I paid for my order by Cash on Delivery. Can I return the products and get a cash refund? Feedback for:  I paid for my order by Cash on Delivery. Can I return the products and get a cash refund? I did not read ir before because i used to use my bank account so i returned a products that i bought it cash so i want it cash or on my bank account not in the credit section that make me to buy to have it so what if i did not want to buy anything again !! Pls help me to grt it back https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3248747